NAME

OpenAPI::Client::OpenAI::Path::chatkit-threads - Documentation for the /chatkit/threads path.

OPERATIONS

GET /chatkit/threads

ListThreadsMethod

$client->list_threads_method({
    body => { ... },
});

List ChatKit threads with optional pagination and user filters.

Path/query parameters

  • limit (in query, optional, integer) - Maximum number of thread items to return. Defaults to 20.

  • order (in query, optional, string) - Sort order for results by creation time. Defaults to desc .

  • after (in query, optional, string) - List items created after this thread item ID. Defaults to null for the first page.

  • before (in query, optional, string) - List items created before this thread item ID. Defaults to null for the newest results.

  • user (in query, optional, string) - Filter threads that belong to this user identifier. Defaults to null to return all users.

Responses

200 - Success

Content-Type: application/json

Example:

{
   "data" : [
      {
         "created_at" : 1712345600,
         "id" : "cthr_def456",
         "object" : "chatkit.thread",
         "status" : {
            "type" : "active"
         },
         "title" : "Demo feedback",
         "user" : "user_456"
      }
   ],
   "first_id" : "string",
   "has_more" : false,
   "last_id" : "string",
   "object" : "list"
}

SCHEMAS

ThreadListResource

Properties:

  • data (array of ThreadResource, required) - A list of items

  • first_id (anyOf, required)

  • has_more (boolean, required) - Whether there are more items available.

  • last_id (anyOf, required)

  • object (string, required) - The type of object returned, must be list .

    Allowed values: list

    Default: list

ThreadResource

Properties:

  • created_at (integer, required) - Unix timestamp (in seconds) for when the thread was created.

  • id (string, required) - Identifier of the thread.

  • object (string, required) - Type discriminator that is always chatkit.thread .

    Allowed values: chatkit.thread

    Default: chatkit.thread

  • status (oneOf, required) - Current status for the thread. Defaults to active for newly created threads.

  • title (anyOf, required)

  • user (string, required) - Free-form string that identifies your end user who owns the thread.

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.